:root {
    --main-bg-color: #8fa0a1;
    --main-text-color: #dae6f0;
    
    --hr-color: #262626;
    
    --search-border-color: #6d5d47;
    
    --section-bg-color: #323632;
    --section-text-color: #dae6f0;
    --section-border-color: #6d5d47;
    
    --selection-bg-color: #8fa0a1;
    --selection-text-color: #323632;
    
    --link-text-color: #8fa0a1;
    
    --item-hover-color: #6d5d47;
    --link-hover-color: #dae6f0;
}

html {
    font-size: 100%;
    font-family: monospace;
    /*max-width: 65ch;*/
    margin: 0 auto;
    padding: 0rem;
}

html, body {
    margin: 0;
    padding: 0;
}

body {
    background-color: var(--main-bg-color);
    color: var(--main-text-color);
}

#search-bar {
    width: 40%;
    color: var(--main-text-color);
    margin: 1.5rem auto;
}

#search-bar > form {
    margin: auto;
    width: 80%;
}

#search-bar > form > input {
    background-color: var(--section-bg-color);
    color: var(--section-text-color);
    border: none;
    border: 0.063rem solid #000000;
    border-top: 0.25rem solid var(--search-border-color);
    width: 100%;
    padding: 1rem;
    box-sizing: border-box;
    transition: box-shadow 0.2s;
}

#search-bar > form > input:focus {
    outline: none;
    box-shadow: 0 0 0.5rem 0.25rem #1118;
    transition: box-shadow 0.2s;
}

#search-bar > form > input:hover {
    box-shadow: 0 0 0.5rem 0.25rem #1118;
    transition: box-shadow 0.2s;
}

::-moz-selection {
    color: var(--selection-text-color);
    background:var(--selection-bg-color);
}

::selection {
    color: var(--selection-text-color);
    background: var(--selection-bg-color);
}

#section-container {
    margin: auto;
    width: 100%;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

.section {
    text-align: center;
    border: 0.063rem solid #000000;
    border-top: 0.25rem solid var(--section-border-color);
    background-color: var(--section-bg-color);
    padding: 1.5rem;
    padding-top: 0.75rem;
    margin: 0.75rem;
    
    flex-basis: auto;
    transition: box-shadow 0.4s;
}

.section:hover {
    box-shadow: 0 0 0.5rem 0.25rem #1118;
    transition: box-shadow 0.2s;
}

hr {
    border-color: var(--hr-color);
    margin-bottom: 1rem;
}

.item {
    text-align: center;
    margin: 0.375rem auto 0.375rem auto;
    transition: box-shadow 0.2s;
}

.item:hover, .item:focus-within {
    background-color: var(--item-hover-color);
    box-shadow: 0.25rem 0.25rem #1118;
    transition: box-shadow 0.2s;
}

a {
    color: var(--link-text-color);
    width: auto;
    display: block;
    text-decoration: none;
}

a:hover, a:focus-within {
    outline: none;
    color: var(--link-hover-color);
}
